<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Name: Dutch Death Report Comprehensive
Description: Start template for the comprehensive death statement that supports all main types: natural death, stillbirth and (suspicion of) unnatural death
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026">
   <title>Dutch Death Report Comprehensive</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /
Item: (DutchDeathReportComprehensive)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]"
         id="tmp-r-00a0b9fe-fa89-4fa0-88e4-30de24299ec5">
      <let name="isStillBirth"
           value=".//hl7:value[@code='276507005'][@codeSystem='2.16.840.1.113883.6.96']"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="not($isStillBirth) or hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.4']">(DutchDeathReportComprehensive): Bij een doodgeborene staat de moeder in recordTarget (template 2.16.840.1.113883.2.4.3.11.60.104.10.4)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.4']) or hl7:participant/hl7:associatedEntity/hl7:code[@code='CHILD'][@codeSystem='2.16.840.1.113883.5.111']">(DutchDeathReportComprehensive): Als de moeder in recordTarget staat (template 2.16.840.1.113883.2.4.3.11.60.104.10.4) dan moet de doodgeborene in participant (template 2.16.840.1.113883.2.4.3.11.60.104.10.48)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:realmCode[@code='nl'])&gt;=1 and not(hl7:realmCode[@code='nl']/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:realmCode[@code='nl'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:realmCode[@code='nl'])&lt;=1">(DutchDeathReportComprehensive): element hl7:realmCode[@code='nl'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(DutchDeathReportComprehensive): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1'])&lt;=1">(DutchDeathReportComprehensive): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:id)&lt;=1">(DutchDeathReportComprehensive): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(DutchDeathReportComprehensive): element hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:effectiveTime)&lt;=1">(DutchDeathReportComprehensive): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(DutchDeathReportComprehensive): element hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:languageCode[@code='nl-NL'])&gt;=1 and not(hl7:languageCode[@code='nl-NL']/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:languageCode[@code='nl-NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:languageCode[@code='nl-NL'])&lt;=1">(DutchDeathReportComprehensive): element hl7:languageCode[@code='nl-NL'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.3']]|hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.4']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="$elmcount&gt;=1">(DutchDeathReportComprehensive): keuze (hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.3']] of hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.4']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="$elmcount&lt;=1">(DutchDeathReportComprehensive): keuze (hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.3']] of hl7:recordTarget[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.4']]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:author)&lt;=1">(DutchDeathReportComprehensive): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]])&gt;=1 and not(hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]])&lt;=1">(DutchDeathReportComprehensive): element hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]])&lt;=1">(DutchDeathReportComprehensive): element hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:component)&gt;=1 ">(DutchDeathReportComprehensive): element hl7:component is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:component)&lt;=1">(DutchDeathReportComprehensive): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:realmCode[@code='nl']
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:realmCode[@code='nl']"
         id="tmp-r-e6e2af4b-0b5a-446e-ab3c-815a172b9ad4">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="@nullFlavor or (@code='nl')">(DutchDeathReportComprehensive): de elementwaarde MOET zijn code 'nl'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-77c54966-05f0-4782-8052-d672d2979a21">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@extension)='POCD_HD000040'">(DutchDeathReportComprehensive): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(DutchDeathReportComprehensive): de waarde van @root MOET '2.16.840.1.113883.1.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:templateId
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:templateId"
         id="tmp-r-3601f321-f518-4623-8510-563580fd4812">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.1'">(DutchDeathReportComprehensive): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:id
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:id"
         id="tmp-r-9d6418fd-d9d6-48b6-8abc-303b57a25c41">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0b827d18-2923-4965-bde9-404d2042faaf">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="@nullFlavor or (@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Death certificate')">(DutchDeathReportComprehensive): de elementwaarde MOET zijn code '64297-5' codeSystem '2.16.840.1.113883.6.1' displayName='Death certificate'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:effectiveTime
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:effectiveTime"
         id="tmp-r-ba59d78f-f21c-4755-b7f4-58e77d3b0195">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:confidentialityCode[(@code='V' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-4e1aa162-a653-44c5-bf2a-b376a7f9c645">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="@nullFlavor or (@code='V' and @codeSystem='2.16.840.1.113883.5.25' and @displayName='very restricted')">(DutchDeathReportComprehensive): de elementwaarde MOET zijn code 'V' codeSystem '2.16.840.1.113883.5.25' displayName='very restricted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:languageCode[@code='nl-NL']
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:languageCode[@code='nl-NL']"
         id="tmp-r-221711de-0cd8-4066-91df-3166a583c85a">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DutchDeathReportComprehensive): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="@nullFlavor or (@code='nl-NL')">(DutchDeathReportComprehensive): de elementwaarde MOET zijn code 'nl-NL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author"
         id="tmp-r-52d57d73-21b1-4e26-912e-7a42a1957d3b">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('AUT')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van typeCode MOET 'code AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(DeathReportAuthor): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(DeathReportAuthor): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(DeathReportAuthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:time)&lt;=1">(DeathReportAuthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(DeathReportAuthor): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:assignedAuthor)&lt;=1">(DeathReportAuthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-8ded3b29-c22b-4af9-a4b6-a1c8eb16af85">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(DeathReportAuthor): de elementwaarde MOET zijn GeneeskundigeRol_CBS Geneeskundige rol (CBS) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.1.7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(DeathReportAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst GeneeskundigeRol_CBS Geneeskundige rol (CBS) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@code='181000146104' and @codeSystem='2.16.840.1.113883.6.96') or following-sibling::hl7:assignedAuthor/hl7:code">(DeathReportAuthor): Medische specialisme in assignedAuthor/code is verplicht als rol auteur = 'Arts werkzaam in ziekenhuis'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:time
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:time"
         id="tmp-r-14ef9a43-1e92-4658-a0aa-99de46553046">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-6414b02d-7376-43e8-aee9-b8936720aedd">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:id[@root='2.16.528.1.1007.5.1'])&lt;=1">(DeathReportAuthor): element hl7:id[@root='2.16.528.1.1007.5.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:code)&lt;=1">(DeathReportAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:addr)&lt;=1">(DeathReportAuthor): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(DeathReportAuthor): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:assignedPerson)&lt;=1">(DeathReportAuthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:representedOrganization)&lt;=1">(DeathReportAuthor): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.5.1']
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.5.1']"
         id="tmp-r-c73e6992-f2fc-4c78-8a2e-8c0c9385d07c">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="string(@root)='2.16.528.1.1007.5.1'">(DeathReportAuthor): de waarde van @root MOET '2.16.528.1.1007.5.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-c551e72a-4400-469a-83e7-8edfc6723352">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(DeathReportAuthor): de elementwaarde MOET zijn MedischSpecialismen Medisch Specialismen (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(DeathReportAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst MedischSpecialismen Medisch Specialismen (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-75d41dc2-f8a8-457a-b191-de5ee686db29">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="string(@use)='WP'">(DeathReportAuthor): de waarde van @use MOET 'WP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:streetName)&lt;=1">(DeathReportAuthor): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:houseNumber)&lt;=1">(DeathReportAuthor): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(DeathReportAuthor): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:additionalLocator)&lt;=1">(DeathReportAuthor): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:postalCode)&lt;=1">(DeathReportAuthor): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:city)&lt;=1">(DeathReportAuthor): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:country)&lt;=1">(DeathReportAuthor): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:streetName
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:houseNumber
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:buildingNumberSuffix
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:additionalLocator
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:postalCode
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:city
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:addr/hl7:country
Item: (DeathReportAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-f421ce31-0a9b-47e4-9998-99e54c4ee6aa">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(DeathReportAuthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:name)&lt;=1">(DeathReportAuthor): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-420eac62-e065-4718-ae13-2cf0e428ef0d">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@use) or (string-length(@use)&gt;0 and not(matches(@use,'\s')))">(DeathReportAuthor): attribuut @use MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('L','OR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van use MOET 'code L of code OR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:given)&gt;=1 ">(DeathReportAuthor): element hl7:given is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:given)&lt;=1">(DeathReportAuthor): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)])&lt;=1">(DeathReportAuthor): element hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)])&gt;=1 ">(DeathReportAuthor): element hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)])&lt;=1">(DeathReportAuthor): element hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:delimiter)&lt;=1">(DeathReportAuthor): element hl7:delimiter komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)])&lt;=1">(DeathReportAuthor): element hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)])&lt;=1">(DeathReportAuthor): element hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given"
         id="tmp-r-27acf702-7b23-4300-aca9-eae8e94fc4a5">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="string(@qualifier)='IN'">(DeathReportAuthor): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)]
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)]"
         id="tmp-r-7f8a8141-425b-4593-bb2b-929ef227a2fb">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(DeathReportAuthor): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('VV','SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van qualifier MOET 'code VV of code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)]
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)]"
         id="tmp-r-60f0f5a2-5a29-4167-882b-b26693289fc6">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(DeathReportAuthor): attribuut @qualifier MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van qualifier MOET 'code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:delimiter
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:delimiter"
         id="tmp-r-82b206bc-b373-4b33-9039-73c490d68ec0">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="text()='-'">(DeathReportAuthor): de element content van hl7:delimiter MOET ''-'' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="following-sibling::hl7:family">(DeathReportAuthor): Element <name/> moet tenminste worden gevolgd door een element family</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)]
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)]"
         id="tmp-r-58233f17-5370-4761-a8c6-b80b7935f211">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(DeathReportAuthor): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('VV','SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van qualifier MOET 'code VV of code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)]
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)]"
         id="tmp-r-54f6fda7-5335-44d8-bf55-e129a3292131">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(DeathReportAuthor): attribuut @qualifier MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(DeathReportAuthor): de waarde van qualifier MOET 'code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-af357d66-bdef-4884-ad36-b7065bf81b7c">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:name)&gt;=1 ">(DeathReportAuthor): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="count(hl7:name)&lt;=1">(DeathReportAuthor): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.5
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (DeathReportAuthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-4258bff2-12b3-4d49-a9f5-ba865d160575">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.5-2014-02-12T093632.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathReportAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]"
         id="tmp-r-b1020359-7228-49f1-90e9-9787cac8384c">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="string(@typeCode)='IND'">(GeneralPractitioner): de waarde van @typeCode MOET 'IND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(GeneralPractitioner): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(GeneralPractitioner): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')])&gt;=1 and not(hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')]/@nullFlavor)">(GeneralPractitioner): element hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')])&lt;=1">(GeneralPractitioner): element hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]])&gt;=1 ">(GeneralPractitioner): element hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]])&lt;=1">(GeneralPractitioner): element hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')]"
         id="tmp-r-2b179c98-9bbc-4b36-a4a7-b3e708c3adda">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="@nullFlavor or (@code='PCP' and @codeSystem='2.16.840.1.113883.5.88' and @displayName='Primary care provider')">(GeneralPractitioner): de elementwaarde MOET zijn code 'PCP' codeSystem '2.16.840.1.113883.5.88' displayName='Primary care provider'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity"
         id="tmp-r-7abcf635-a6b8-474a-be77-752511acec2b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="string(@classCode)='CAREGIVER'">(GeneralPractitioner): de waarde van @classCode MOET 'CAREGIVER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(GeneralPractitioner): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')])&gt;=1 and not(hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]/@nullFlavor)">(GeneralPractitioner): element hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')])&lt;=1">(GeneralPractitioner): element hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:addr)&gt;=1 ">(GeneralPractitioner): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:addr)&lt;=1">(GeneralPractitioner): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:associatedPerson)&lt;=1">(GeneralPractitioner): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:scopingOrganization)&lt;=1">(GeneralPractitioner): element hl7:scopingOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]"
         id="tmp-r-6d0777c9-0d38-4fd7-980c-d3260d527a64">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="@nullFlavor or (@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111' and @displayName='Huisarts')">(GeneralPractitioner): de elementwaarde MOET zijn code '01.015' codeSystem '2.16.840.1.113883.2.4.15.111' displayName='Huisarts'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr"
         id="tmp-r-e95e6751-ee0c-4493-ac5c-235256a9834a">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="string(@use)='WP'">(GeneralPractitioner): de waarde van @use MOET 'WP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:streetName)&lt;=1">(GeneralPractitioner): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:houseNumber)&lt;=1">(GeneralPractitioner): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(GeneralPractitioner): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:additionalLocator)&lt;=1">(GeneralPractitioner): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:postalCode)&lt;=1">(GeneralPractitioner): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:city)&lt;=1">(GeneralPractitioner): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:country)&lt;=1">(GeneralPractitioner): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:streetName
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:streetName"
         id="tmp-r-cac2487d-47a8-44b7-a3da-c8688b2b46d4">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:houseNumber
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:houseNumber"
         id="tmp-r-b3a418c8-734b-47a6-bd6a-9c852aef077b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:buildingNumberSuffix
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-r-67c07e81-9603-4038-956d-64fbd7f632c8">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:additionalLocator
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:additionalLocator"
         id="tmp-r-e11e75d2-6c4b-4d99-9210-a465d70ffe17">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:postalCode
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:postalCode"
         id="tmp-r-1156b8e9-6db9-4050-b87e-3bcb45a1bd73">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:city
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:city"
         id="tmp-r-c8a4c0d7-6a77-4574-a55f-c8a7f87e3146">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:country
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:addr/hl7:country"
         id="tmp-r-086b0a2e-8492-4022-8d49-361e1578ecde">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-d418d611-20f8-4d33-b5a5-61e33f1b2fbc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(GeneralPractitioner): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:name)&lt;=1">(GeneralPractitioner): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-1bcc55d0-b563-4ccd-b113-55244ca0cf64">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@use) or (string-length(@use)&gt;0 and not(matches(@use,'\s')))">(GeneralPractitioner): attribuut @use MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('L','OR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(GeneralPractitioner): de waarde van use MOET 'code L of code OR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:given)&gt;=1 ">(GeneralPractitioner): element hl7:given is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:given)&lt;=1">(GeneralPractitioner): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)])&lt;=1">(GeneralPractitioner): element hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)])&gt;=1 ">(GeneralPractitioner): element hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)])&lt;=1">(GeneralPractitioner): element hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:delimiter)&lt;=1">(GeneralPractitioner): element hl7:delimiter komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)])&lt;=1">(GeneralPractitioner): element hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)])&lt;=1">(GeneralPractitioner): element hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given"
         id="tmp-r-f47dc7bc-0eb5-42f9-acee-fe1d7e3bb015">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="string(@qualifier)='IN'">(GeneralPractitioner): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:prefix[not(@qualifier=following-sibling::hl7:prefix/@qualifier)]"
         id="tmp-r-44bee467-f6c1-4495-b276-1cc4683bd883">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(GeneralPractitioner): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('VV','SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(GeneralPractitioner): de waarde van qualifier MOET 'code VV of code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family[not(@qualifier=following-sibling::hl7:family/@qualifier)]"
         id="tmp-r-d3a0fa52-8e0b-471e-905e-428806decd00">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(GeneralPractitioner): attribuut @qualifier MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(GeneralPractitioner): de waarde van qualifier MOET 'code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:delimiter
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:delimiter"
         id="tmp-r-9479f452-b538-46ad-8391-8c8ae130ffdc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="text()='-'">(GeneralPractitioner): de element content van hl7:delimiter MOET ''-'' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="following-sibling::hl7:family">(GeneralPractitioner): Element <name/> moet tenminste worden gevolgd door een element family</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:prefix[not(@qualifier=preceding-sibling::hl7:prefix/@qualifier)]"
         id="tmp-r-9d5a920f-3eee-488c-a557-a6e6f3d41e18">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(GeneralPractitioner): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('VV','SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(GeneralPractitioner): de waarde van qualifier MOET 'code VV of code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)]
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family[not(@qualifier=preceding-sibling::hl7:family/@qualifier)]"
         id="tmp-r-fb7d581c-c608-4851-a25c-3d487366adbc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(GeneralPractitioner): attribuut @qualifier MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('SP','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(GeneralPractitioner): de waarde van qualifier MOET 'code SP of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:scopingOrganization
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-371999c1-c5f3-4fc9-bc69-605b6cb70faf">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:name)&gt;=1 ">(GeneralPractitioner): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="count(hl7:name)&lt;=1">(GeneralPractitioner): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.41
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (GeneralPractitioner)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='01.015' and @codeSystem='2.16.840.1.113883.2.4.15.111')]]]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-b21b8ce2-ec08-46a5-9dff-8ee183ff1006">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.41-2014-03-04T195817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GeneralPractitioner): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.48
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]
Item: (FetalParticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]"
         id="tmp-r-1f42a503-3b62-4d41-b9df-9116500d7ea5">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="string(@typeCode)='SBJ'">(FetalParticipant): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(FetalParticipant): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(FetalParticipant): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]])&gt;=1 and not(hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]/@nullFlavor)">(FetalParticipant): element hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]])&lt;=1">(FetalParticipant): element hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.48
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity
Item: (FetalParticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity"
         id="tmp-r-aced6abc-8e0e-4f26-9fda-dac891589c46">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="string(@classCode)='PAT'">(FetalParticipant): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(FetalParticipant): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(FetalParticipant): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(FetalParticipant): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:associatedPerson)&gt;=1 ">(FetalParticipant): element hl7:associatedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(hl7:associatedPerson)&lt;=1">(FetalParticipant): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.48
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (FetalParticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-r-f18bbf1c-e376-40f5-bb0d-6769ef8b6836">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FetalParticipant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Child')">(FetalParticipant): de elementwaarde MOET zijn code 'CHILD' codeSystem '2.16.840.1.113883.5.111' displayName='Child'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.48
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:associatedPerson
Item: (FetalParticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-f84a154f-a432-4b1a-aea5-b2a81fbab8a3">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(cbs:birthTime)&gt;=1 ">(FetalParticipant): element cbs:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="count(cbs:birthTime)&lt;=1">(FetalParticipant): element cbs:birthTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.48
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:associatedPerson/cbs:birthTime
Item: (FetalParticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:participant[hl7:associatedEntity[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:associatedEntity/hl7:associatedPerson/cbs:birthTime"
         id="tmp-r-8b88b5de-719c-4775-b2b9-6b6e5face01b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.48-2014-03-04T211553.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FetalParticipant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component"
         id="tmp-r-be69d627-9575-4d68-a16c-db92b4ba94f4">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(DutchDeathReportComprehensive): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(DutchDeathReportComprehensive): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:structuredBody is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:structuredBody)&lt;=1">(DutchDeathReportComprehensive): element hl7:structuredBody komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component/hl7:structuredBody
Item: (DutchDeathReportComprehensive)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component/hl7:structuredBody"
         id="tmp-r-2482edd9-e299-4926-a92c-140be0aa0f18">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(DutchDeathReportComprehensive): de waarde van @classCode MOET 'DOCBODY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(DutchDeathReportComprehensive): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]]/@nullFlavor)">(DutchDeathReportComprehensive): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]])&lt;=1">(DutchDeathReportComprehensive): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]]
Item: (DutchDeathReportComprehensive)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]]"
         id="tmp-r-cef5845e-5c23-4dc5-9053-cb1c8f059f02">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(DutchDeathReportComprehensive): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.1-2014-02-10T202026.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(DutchDeathReportComprehensive): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
