<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Name: Organizer cause of death limited
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200">
   <title>Organizer cause of death limited</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]
Item: (OrganizerCauseOfDeathLimited)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]
Item: (OrganizerCauseOfDeathLimited)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]"
         id="tmp-r-fce3fa6c-859b-408e-bbef-ee23c233932b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@classCode)='CLUSTER'">(OrganizerCauseOfDeathLimited): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerCauseOfDeathLimited): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@moodCode)='EVN'">(OrganizerCauseOfDeathLimited): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(OrganizerCauseOfDeathLimited): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <let name="isNaturalBirth"
           value=".//hl7:value[@code='38605008'][@codeSystem='2.16.840.1.113883.6.96']"/>
      <let name="isStillBirth"
           value=".//hl7:value[@code='276507005'][@codeSystem='2.16.840.1.113883.6.96']"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not($isNaturalBirth) or hl7:component[*/hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']">(OrganizerCauseOfDeathLimited): Bij een natuurlijke dood zijn de bijbehorende details verplicht (template 2.16.840.1.113883.2.4.3.11.60.104.10.12)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not($isStillBirth) or hl7:component[*/hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']">(OrganizerCauseOfDeathLimited): Bij een doodgeborene zijn de bijbehorende details verplicht (template 2.16.840.1.113883.2.4.3.11.60.104.10.14)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']/@nullFlavor)">(OrganizerCauseOfDeathLimited): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40'])&lt;=1">(OrganizerCauseOfDeathLimited): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(OrganizerCauseOfDeathLimited): element hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(OrganizerCauseOfDeathLimited): element hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerCauseOfDeathLimited): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerCauseOfDeathLimited): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.37']]])&lt;=1">(OrganizerCauseOfDeathLimited): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.37']]] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]]|hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="$elmcount&gt;=1">(OrganizerCauseOfDeathLimited): keuze (hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]] of hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="$elmcount&lt;=1">(OrganizerCauseOfDeathLimited): keuze (hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]] of hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']]]) bevat te veel elementen [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:templateId
Item: (OrganizerCauseOfDeathLimited)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:templateId"
         id="tmp-r-06143c3d-9833-4eea-a624-14688cda9837">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerCauseOfDeathLimited): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.40'">(OrganizerCauseOfDeathLimited): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.40' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (OrganizerCauseOfDeathLimited)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:code[(@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-246c6652-5e53-44d0-be27-e22c67adb909">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerCauseOfDeathLimited): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="@nullFlavor or (@code='21984-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Cause of death')">(OrganizerCauseOfDeathLimited): de elementwaarde MOET zijn code '21984-0' codeSystem '2.16.840.1.113883.6.1' displayName='Cause of death'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:statusCode[@code='completed']
Item: (OrganizerCauseOfDeathLimited)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:statusCode[@code='completed']"
         id="tmp-r-f57d5eb5-1d35-48db-a71f-7b75bea4b250">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerCauseOfDeathLimited): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="@nullFlavor or (@code='completed')">(OrganizerCauseOfDeathLimited): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.37']]]
Item: (OrganizerCauseOfDeathLimited)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.37']]]"
         id="tmp-r-1aa33196-b3ef-4870-a340-0db8e17cf4a9">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerCauseOfDeathLimited): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(OrganizerCauseOfDeathLimited): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]]
Item: (OrganizerCauseOfDeathLimited)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]]"
         id="tmp-r-5c7d34e3-6c98-4539-a709-64780d351245">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerCauseOfDeathLimited): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(OrganizerCauseOfDeathLimited): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.40
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']]]
Item: (OrganizerCauseOfDeathLimited)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.14']]]"
         id="tmp-r-dae73cec-7f35-4d85-8414-0835bddd0024">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerCauseOfDeathLimited): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.40-2014-03-04T143200.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(OrganizerCauseOfDeathLimited): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
