<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Name: Organizer natural death
Description: Organizer for all natural death related information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818">
   <title>Organizer natural death</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]
Item: (OrganizerNaturalDeath)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]
Item: (OrganizerNaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]"
         id="tmp-r-97c392f6-fdb2-43eb-b0e6-dc692ad68dba">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@classCode)='CLUSTER'">(OrganizerNaturalDeath): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerNaturalDeath): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OrganizerNaturalDeath): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <let name="underlyingIllnessOrder"
           value="hl7:component[*/hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']/hl7:sequenceNumber/@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="not($underlyingIllnessOrder) or count(distinct-values($underlyingIllnessOrder))=count($underlyingIllnessOrder)">(OrganizerNaturalDeath): De volgorde-indicator van "Ziekte (niet-rechtstreeks geleid tot overlijden)" moet bestaan uit unieke nummers</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']/@nullFlavor)">(OrganizerNaturalDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12'])&lt;=1">(OrganizerNaturalDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerNaturalDeath): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerNaturalDeath): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]]/@nullFlavor)">(OrganizerNaturalDeath): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]])&lt;=1">(OrganizerNaturalDeath): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:templateId
Item: (OrganizerNaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:templateId"
         id="tmp-r-c5468a08-aed3-4b3d-a3d5-ebb61a1fa009">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerNaturalDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.12'">(OrganizerNaturalDeath): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.12' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:statusCode[@code='completed']
Item: (OrganizerNaturalDeath)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:statusCode[@code='completed']"
         id="tmp-r-745b181b-baa5-4e24-b301-b2dfbea55476">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerNaturalDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="@nullFlavor or (@code='completed')">(OrganizerNaturalDeath): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]]
Item: (OrganizerNaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]]"
         id="tmp-r-90c898bd-a471-4b71-b11d-3e77466c9579">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerNaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerNaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]
Item: (OrganizerNaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]"
         id="tmp-r-b2c6d8d8-bd28-4fde-a9fa-246ecd2dc453">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerNaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerNaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(OrganizerNaturalDeath): element hl7:sequenceNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="count(hl7:sequenceNumber)&lt;=1">(OrganizerNaturalDeath): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]/hl7:sequenceNumber
Item: (OrganizerNaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.21']]]/hl7:sequenceNumber"
         id="tmp-r-7784faa8-68e6-4947-a55f-6517c8b5163b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerNaturalDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(OrganizerNaturalDeath): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="$digitok or @nullFlavor">(OrganizerNaturalDeath): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.12
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]]
Item: (OrganizerNaturalDeath)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.12']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]]"
         id="tmp-r-6b52557b-95a7-4eee-a9a8-f3806019c378">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerNaturalDeath): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.12-2014-03-04T101818.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerNaturalDeath): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
